VMTKSURFACETONUMPY(1)

NAME
vmtksurfacetonumpy - vmtk script vmtksurfacetonumpy

DESCRIPTION
Automatic piping vmtkSurfaceToNumpy Parsing options vmtkSurfaceToNumpy

vmtkSurfaceToNumpy : Takes a VTK triangulated surface vtkPolyData file

    (optionally containing point data scalar arrays) and returns a nested python dictionary containing numpy arrays specifying vertex points, associated scalar data, and cell data yielding triangle connectivity

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Surface (vtkPolyData,1): the input surface

-ifile SurfaceInputFileName (str,1): filename for the default

    Surface reader

-celltopoint ConvertCellToPoint (bool,1); default=0: convert cell

    data to point data

-ofile ArrayDictOutputFileName (str,1): filename for the default

    ArrayDict writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o ArrayDict (dict,1): the output dictionary